package com.ym.mec.education.controller;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.google.common.collect.Lists;
import com.netflix.hystrix.contrib.javanica.annotation.DefaultProperties;
import com.ym.mec.education.base.BaseResponse;
import com.ym.mec.education.base.PageResponse;
import com.ym.mec.education.entity.ClassGroup;
import com.ym.mec.education.entity.ClassGroupTeacherMapper;
import com.ym.mec.education.entity.CourseScheduleTeacherSalary;
import com.ym.mec.education.entity.MusicGroup;
import com.ym.mec.education.enums.ReturnCodeEnum;
import com.ym.mec.education.req.MusicGroupReq;
import com.ym.mec.education.resp.MusicGroupResp;
import com.ym.mec.education.service.IClassGroupService;
import com.ym.mec.education.service.IClassGroupTeacherMapperService;
import com.ym.mec.education.service.ICourseScheduleTeacherSalaryService;
import com.ym.mec.education.service.IMusicGroupService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.BeanUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.util.CollectionUtils;
import org.springframework.web.bind.annotation.*;

import java.util.HashSet;
import java.util.List;
import java.util.Set;
import java.util.stream.Collectors;


/**
 * @author : chengp
 * @version V1.0
 * @Description: TODO
 * @date Date : 2019年09月25日 17:39
 */
@RestController
@RequestMapping("/api/musicGroup")
@DefaultProperties(defaultFallback = "defaultFallback")
@Slf4j
public class MusicGroupController {

    @Autowired
    private IMusicGroupService musicGroupService;


    /**
     * 服务降级处理
     *
     * @return
     */
    private BaseResponse defaultFallback() {
        BaseResponse response = new BaseResponse();
        response.setReturnCode(500);
        response.setMessage("太拥挤了, 请稍后再试!");
        return response;
    }

    /**
     * 乐团列表
     * @param req
     * @return
     */
    @PostMapping(value = "/groupList")
    public PageResponse groupList(@RequestBody MusicGroupReq req) {

        return musicGroupService.groupList(req);
    }

    /**
     * 乐团详情
     * @param groupId
     * @return
     */
    @GetMapping(value = "/groupDetail")
    public BaseResponse groupDetail(@RequestBody Integer groupId) {

        BaseResponse baseResponse = new BaseResponse();
        if (groupId == null) {
            baseResponse.setReturnCode(ReturnCodeEnum.CODE_206.getCode());
            baseResponse.setMessage(ReturnCodeEnum.CODE_206.getValue());
            return baseResponse;
        }

        return musicGroupService.groupDetail(groupId);

    }
    @GetMapping(value = "/classGroupList")
    public PageResponse classGroupList(@RequestBody Integer groupId){




        return null;

    }

}
